* {
  box-sizing: border-box;
  margin: 0;
  padding: 0;
  font-family: "Trebuchet MS", "Lucida Sans Unicode", "Lucida Grande",
    "Lucida Sans", "Arial", "sans-serif";
}

.todo-bg {
  background-image: url("./images/todo.jpg");
  background-size: cover;
  background-repeat: no-repeat;
}

.todo-app {
  display: flex;
  flex-direction: column;
  justify-content: start;
  width: 520px;
  min-height: 600px;
  background: #161a2b;
  text-align: center;
  margin: 128px auto;
  border-radius: 10px;
  padding-bottom: 32px;
}

h1 {
  margin: 32px 0;
  color: #fff;
  font-size: 24px;
}

.complete {
  text-decoration: line-through;
  opacity: 0.4;
}

.todo-form {
  margin-bottom: 12px;
}

.todo-input {
  padding: 12px;
  margin: 2px;
  border-radius: 4px 0 0 4px;
  border: 4px solid #4682b4;
  outline: none;
  width: 270px;
  background: transparent;
  color: #fff;
}

.todo-input::placeholder {
  color: #e2e2e2;
}

.todo-button {
  padding: 4px;
  border: none;
  border-radius: 0 4px 4px 0;
  cursor: pointer;
  outline: none;
  background: rgb(100, 149, 237) 100%;
  color: #fff;
  text-transform: capitalize;
}

.todo-input.edit {
  border: 4px solid #336699;
}

.todo-button.edit {
  background: rgb(100, 149, 237) 100%;
}

.todo-container {
  display: flex;
  flex-direction: row;
  position: relative;
}

.todo-row {
  display: flex;
  justify-content: space-between;
  align-items: center;
  margin: 4px auto;
  color: #000000;
  background-color: #ccffcc;

  padding: 16px;
  border-radius: 5px;
  width: 90%;
}

.todo-row:nth-child(4n + 1) {
  background-color: #66ccff;
}

.todo-row:nth-child(4n + 2) {
  background-color: #0099cc;
}

.todo-row:nth-child(4n + 3) {
  background-color: #336699;
}

.icons {
  display: flex;
  align-items: center;
  font-size: 24px;
  cursor: pointer;
}

.delete-icon {
  margin-right: 5px;
  color: rgb(0, 0, 0);
}

.edit-icon {
  color: rgb(0, 0, 0);
}
